Summary: IPC library used by GnuPG and GPGME
Name: libassuan
Version: 2.2.1
Release: r0.0
License: GPLv3 & LGPLv2.1+
Group: base
Packager: Wind River <info@windriver.com>
URL: http://www.gnupg.org/related_software/libassuan/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: libgpg-error
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: texinfo-native
BuildRequires: automake-native

%description
IPC library used by GnuPG and GPGME.

%package -n libassuan-dbg
Summary: IPC library used by GnuPG and GPGME - Debugging files
Group: devel
Suggests: libgpg-error-dbg
Suggests: libc6-dbg
Recommends: libassuan0 = 2.2.1-r0.0

%description -n libassuan-dbg
IPC library used by GnuPG and GPGME.  This package contains ELF symbols and
related sources for debugging purposes.

%package -n libassuan-staticdev
Summary: IPC library used by GnuPG and GPGME - Development files (Static Libraries)
Group: devel
Requires: libassuan-dev = 2.2.1-r0.0

%description -n libassuan-staticdev
IPC library used by GnuPG and GPGME.  This package contains static
libraries for software development.

%package -n libassuan-dev
Summary: IPC library used by GnuPG and GPGME - Development files
Group: devel
Requires: libassuan0 = 2.2.1-r0.0
Requires: /bin/sh
Suggests: libgpg-error-dev
Suggests: libc6-dev

%description -n libassuan-dev
IPC library used by GnuPG and GPGME.  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libassuan-doc
Summary: IPC library used by GnuPG and GPGME - Documentation files
Group: doc

%description -n libassuan-doc
IPC library used by GnuPG and GPGME.  This package contains documentation.

%package -n libassuan-locale
Summary: IPC library used by GnuPG and GPGME
Group: base

%description -n libassuan-locale
IPC library used by GnuPG and GPGME.

%package -n libassuan0
Summary: IPC library used by GnuPG and GPGME
Group: base
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires: libc6 >= 2.22
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error0 >= 1.19
Requires(post): rtld(GNU_HASH)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires(post): libc6 >= 2.22
Requires(post): libgpg-error.so.0()(64bit)
Requires(post): libgpg-error0 >= 1.19
Provides: elf(buildid) = 8e171df8c0fce98547d6f87d2fd967b8e06a5506
Provides: libassuan.so.0()(64bit)
Provides: libassuan = 2.2.1
Provides: libassuan.so.0(LIBASSUAN_1.0)(64bit)

%description -n libassuan0
IPC library used by GnuPG and GPGME.

%post -n libassuan0
# libassuan0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libassuan-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/src"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libassuan.so.0.5.1"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libassuan"
%dir "/usr/src/debug/libassuan/2.2.1-r0"
%dir "/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1"
%dir "/usr/src/debug/libassuan/2.2.1-r0/build"
%dir "/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-socket-server.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/conversion.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-defs.h"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-logging.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/system-posix.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/sysutils.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-error.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/system.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-uds.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-socket-connect.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/client.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/debug.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/context.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-socket.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/debug.h"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-pipe-server.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-pipe-connect.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-listen.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-inquire.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-handler.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/server.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-io.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/funopen.c"
"/usr/src/debug/libassuan/2.2.1-r0/libassuan-2.2.1/src/assuan-buffer.c"
%dir "/usr/src/debug/libassuan/2.2.1-r0/build/src"
"/usr/src/debug/libassuan/2.2.1-r0/build/src/assuan.h"

%files -n libassuan-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/share"
%dir "/usr/bin"
%dir "/usr/include"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libassuan.so"
"/usr/lib64/libassuan.la"
"/usr/lib64/pkgconfig/libassuan.pc"
%dir "/usr/share/aclocal"
"/usr/share/aclocal/libassuan.m4"
"/usr/bin/libassuan-config"
"/usr/include/assuan.h"

%files -n libassuan-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/info"
"/usr/share/info/assuan.info"

%files -n libassuan0
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libassuan.so.0"
"/usr/lib64/libassuan.so.0.5.1"

